// Copyright 2016 Orus.io. All rights reserved.

package sql

import (
	"testing"

	"bitbucket.org/orus-io/xbus/storage"
	"bitbucket.org/orus-io/xbus/testutils"
	"bitbucket.org/orus-io/xbus/testutils/sqldb"
	storagetest "bitbucket.org/orus-io/xbus/testutils/storage"
)

func TestEnvelopeStorage(t *testing.T) {
	storagetest.EnvelopeStorageTests(t, func() (storage.EnvelopeStorage, func()) {
		m, db, closeDB := sqldb.GetTestDB(t)
		if m == nil {
			return nil, nil
		}

		return NewEnvelopeStorage(m, db, testutils.GetTestLogger(t)), closeDB
	},
		false, // supportUnordered
	)
}
