// Copyright 2016 Orus.io. All rights reserved.

package mocks

import (
	"testing"

	"bitbucket.org/orus-io/xbus/storage"
	"bitbucket.org/orus-io/xbus/testutils"
	storagetest "bitbucket.org/orus-io/xbus/testutils/storage"
)

func TestEnvelopeStorage(t *testing.T) {
	storagetest.EnvelopeStorageTests(t, func() (storage.EnvelopeStorage, func()) {
		return NewEnvelopeStorage(testutils.GetTestLogger(t)), func() {}
	},
		true, // supportUnordered
	)
}
