// Copyright 2016 Orus.io. All rights reserved.

package testutils

import (
	"github.com/m4rw3r/uuid"
)

// LastUUID contains the last UUID returned by NewUUID()
var LastUUID uuid.UUID

// NewUUID returns a new UUID or panics
func NewUUID() uuid.UUID {
	var err error
	LastUUID, err := uuid.V4()
	if err != nil {
		panic(err)
	}
	return LastUUID
}
